Skip to content

cluster / jobs ​

7 operations.

GET /cluster/jobs ​

ts
proxmox.cluster.jobs.$get()

Index for jobs related endpoints.

Returns an array of object.

GET /cluster/jobs/realm-sync ​

ts
proxmox.cluster.jobs["realm-sync"].$get()

List configured realm-sync-jobs.

Returns an array of object.

GET /cluster/jobs/realm-sync/{id} ​

ts
proxmox.cluster.jobs["realm-sync"].$(id).$get()

Read realm-sync job definition.

Returns object.

ParameterTypeRequiredNotes
idstringyesformat pve-configid

POST /cluster/jobs/realm-sync/{id} ​

ts
proxmox.cluster.jobs["realm-sync"].$(id).$post()

Create new realm-sync job.

Returns nothing.

ParameterTypeRequiredNotes
commentstringDescription for the Job. — ≤ 512 chars
enable-newbooleanEnable newly synced users immediately. — default "1"
enabledbooleanDetermines if the job is enabled. — default 1
idstringyesThe ID of the job. — format pve-configid, ≤ 64 chars
realmstringAuthentication domain ID — format pve-realm, ≤ 32 chars
remove-vanishedstringA semicolon-separated list of things to remove when they or the user vanishes during a sync. The following values are possible: 'entry' removes the user/group when not returned from the sync. 'properties' removes the set properties on existing user/group that do not appear in the source (even custom ones). 'acl' removes acls when the user/group is not returned from the sync. Instead of a list it also can be 'none' (the default). — default "none"
schedulestringyesBackup schedule. The format is a subset of systemd calendar events. — format pve-calendar-event, ≤ 128 chars
scopeusers | groups | bothSelect what to sync.

PUT /cluster/jobs/realm-sync/{id} ​

ts
proxmox.cluster.jobs["realm-sync"].$(id).$put()

Update realm-sync job definition.

Returns nothing.

ParameterTypeRequiredNotes
commentstringDescription for the Job. — ≤ 512 chars
deletestringA list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars
enable-newbooleanEnable newly synced users immediately. — default "1"
enabledbooleanDetermines if the job is enabled. — default 1
idstringyesThe ID of the job. — format pve-configid, ≤ 64 chars
remove-vanishedstringA semicolon-separated list of things to remove when they or the user vanishes during a sync. The following values are possible: 'entry' removes the user/group when not returned from the sync. 'properties' removes the set properties on existing user/group that do not appear in the source (even custom ones). 'acl' removes acls when the user/group is not returned from the sync. Instead of a list it also can be 'none' (the default). — default "none"
schedulestringyesBackup schedule. The format is a subset of systemd calendar events. — format pve-calendar-event, ≤ 128 chars
scopeusers | groups | bothSelect what to sync.

DELETE /cluster/jobs/realm-sync/{id} ​

ts
proxmox.cluster.jobs["realm-sync"].$(id).$delete()

Delete realm-sync job definition.

Returns nothing.

ParameterTypeRequiredNotes
idstringyesformat pve-configid

GET /cluster/jobs/schedule-analyze ​

ts
proxmox.cluster.jobs["schedule-analyze"].$get()

Returns a list of future schedule runtimes.

Returns an array of object.

ParameterTypeRequiredNotes
iterationsnumberNumber of event-iteration to simulate and return. — min 1, max 100, default 10
schedulestringyesJob schedule. The format is a subset of systemd calendar events. — format pve-calendar-event, ≤ 128 chars
starttimenumberUNIX timestamp to start the calculation from. Defaults to the current time.